CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Running, Solving & CFD (
-   -   A reader for cavityOpenFOAM (

alex November 6, 2008 15:35

Hello ALL! I have just star
Hello ALL!

I have just started playing with OpenFOAM 1.5 on ubuntu 8.04, and I am going through the first tutorial. The problem is that when I start the paraFoam post-processing (viewing the mesh), paraView tells me that a reader for cavity.OpenFOAM could not be found and suggests me to choose the reader myself. What is the problem/which reader to choose?

Any help would be greatly appreciated!

Thank you very much!

alex November 6, 2008 18:57

fixed it! sorry for flooding t
fixed it! sorry for flooding this forum ...

kjetil November 28, 2008 03:53

Hi, can you explain in short
can you explain in short how you solved this? I tried to recompile, as it says in the openfoam guide on ubuntuforums, but seems like I have a problem with the Qt version.. and cannot rebuild afterall :/

alex November 28, 2008 13:52

Hi Kjetil, You need to inst
Hi Kjetil,

You need to install libmpfr and the right version of Qt (4.3.4 for ubuntu 8.04). These are available through Synaptic Package Manager. And then you need to recompile paraview. This should work.


sega January 15, 2009 06:44

Hello. I installed libmpfr1

I installed libmpfr1ldbl and libqt4-dev but qmake --version is still returning Qt 3.3.7.

What went wrong?

BTW. I'm getting the same message asking the reader for cavity.OpenFOAM.

sega January 15, 2009 08:22

Meanwhile I recompiled the Par
Meanwhile I recompiled the ParaView from the instructions in the README file.

After running paraFoam on the case it's loading, but is not displaying anything.

What can be wrong?

nikola_m January 15, 2009 18:22

Read carefully Chapter 2 of th
Read carefully Chapter 2 of the User Guide.
You just have to check some boxes. Play with it, it's not hard.

Good luck!

sega January 16, 2009 08:54

Yes I did. I was just not fam
Yes I did.
I was just not familiar with the new GUI, so I missed the steps to display the fields.
The User Guide fixed that problem ...

Bye bye.

gianpipex February 12, 2009 03:36

Hello to all, I'm getting a l
Hello to all,
I'm getting a little mad with this cavity.FOAM reader.
I did all the tried all the tips of this forum and I still have the problem. I think it's a problem with the Qt version (I have ubuntu 7.1 & Qt 4.4.3)
When I compile the PV3Foam Reader I get this ad the end:

+ make
[ 9%] Generating qrc_PV3FoamReader.cxx
[ 18%] Generating moc_PV3FoamReaderPluginImplementation.cxx
Scanning dependencies of target PV3FoamReader
[ 27%] Building CXX object CMakeFiles/PV3FoamReader.dir/moc_PV3FoamReaderPluginImplementation.o
[ 36%] Building CXX object CMakeFiles/PV3FoamReader.dir/PV3FoamReaderPluginImplementation.o
[ 45%] Building CXX object CMakeFiles/PV3FoamReader.dir/qrc_PV3FoamReader.o
Linking CXX shared library /home/linux/OpenFOAM/OpenFOAM-1.5/lib/linuxGccDPOpt/
/usr/bin/ld: cannot find -lpqComponents
collect2: ld returned 1 exit status
make[2]: *** [/home/linux/OpenFOAM/OpenFOAM-1.5/lib/linuxGccDPOpt/] Error 1
make[1]: *** [CMakeFiles/PV3FoamReader.dir/all] Error 2
make: *** [all] Error 2

And also I don't know how to disinstall the Qt 4.4.3 and install the recomended 4.3.2.

Please, I'm new in Linux, be patient and clear with the explanation.

PS: How can I know if I'm 32 or 64 bit?

paulo February 12, 2009 08:35

Hello Gianpiero, Type 'getc
Hello Gianpiero,

Type 'getconf LONG_BIT' in a shell. The output will show if you're 32 or 64 bits.


Paulo Rocha

abchavz February 12, 2009 12:38

Hi Alex, don't get trouble, I
Hi Alex, don't get trouble, I recommend you convert to VTK and open directly in paraview, that is
1. blockMesh
2. checkMesh
3. icofoam >& log &
4. cat log (to see the log file)
when the run ends (follows your answer)
5. foamToVTK
6. paraview
open VTK files directly and you choose what you need



Benzaa April 2, 2009 09:57


Originally Posted by alex (Post 194382)
fixed it! sorry for flooding this forum ...

hi alex,

how did you fix your paraFoam??

Im having the same error. I already recopiled paraview using the binaries included in openFOAM

please, help

All times are GMT -4. The time now is 11:01.